# p4bl0t

p4bl0t is a simple logging bot for Discord written in Rust.

## Usage

In order to run p4bl0t, head over to your [developer
portal](https://discord.com/developers) on Discord’s website, and
create a bot there. Then, copy the `.env.example` file to a `.env`
file and fill in the details.
```sh
cp .env.example .env
emacs .env
# or
vim .env
# or
nano .env
# or
code .env
# or whichever text editor you prefer
```

Install the sqlx CLI if you don’t have it already.
```sh
cargo install sqlx-cli
```

Setup your SQLite database.
```sh
export DATABASE_URL=<your-database-url> # should be the same as in the .env file
sqlx database create
sqlx migrate run
```

You can then run the project using `cargo run`
```sh
cargo run
# or
cargo run --release # if you don’t want debug symbols
```

## Contributing
Pull requests are welcome. For major changes, please open an issue
first to discuss what you would like to change.

## License
[AGPL-3.0 or later](./LICENSE.md)
